image:
  name: rockcontent/terraform-awscli-kubectl-kops:0.14.3-1.17.3-1.17.1
  entrypoint:
    - '/usr/bin/env'
    - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

before_script:
  - rm -rf .terraform
  - terraform --version
  - terraform init

stages:
  - apply
  - destroy

apply:
  stage: apply
  allow_failure: true
  script:
    - aws --version
    - terraform apply -auto-approve
    - terraform output

destroy:
  stage: destroy
  when: manual
  script:
    - terraform destroy -auto-approve